/*
 * Copyright 2010-present Facebook.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#import <Foundation/Foundation.h>

// Internal class holding server side Facebook app settings we fetch once from the
// server per process lifetime.

@interface FBFetchedAppSettings : NSObject

@property (copy, nonatomic) NSString *serverAppName;
@property (readwrite) BOOL      supportsAttribution;
@property (readwrite) BOOL      supportsImplicitSdkLogging;
@property (readwrite) BOOL      suppressNativeGdp;
@property (readonly, nonatomic) NSString *appID;

-(id) initWithAppID:(NSString *)appID;

@end
